# Date & Time

### `dateEnforcedLocale`

`String`

Specifies the locale used for formatting date information, overriding the user's browser locale. When set, all date-related elements will be rendered using the defined locale format, ensuring consistency across different user environments.

### `dateFormatAbsoluteLabel`

[`LocalizedString`](/developers/guides/theming/types.md#localizedstring)&#x20;

The (multi-language) label of format in which a date should be displayed.

Please use placeholders `{date}` and `{time}` where the respective values should be displayed. e.g. `{date} at {time}` could be displayed as `Nov 18th at 9pm`.

### `dateFormatDate`

The distinct format when rendering an absolute date.

* `MMMM d` — Day and Month, e.g. `November 18`
* `MMM d` — Day and Month (short), e.g. `Nov 18`
* `MMMM d, yyyy` — Day, Month, and Year, e.g. `November 18, 1981`
* `MMM d, yyyy` — Day, Month (short), and Year, e.g. `Nov 18, 1981`
* `MMMM do` — Day with Ordinal and Month, e.g. `November 18th`
* `MMM do` — Day with Ordinal, Month (short), e.g. `Nov 18th`
* `MMMM do, yyyy` — Day with Ordinal, Month, and Year, e.g. `November 18th, 1981`
* `MMM do, yyyy` — Day with Ordinal, Month (short), and Year, e.g. `Nov 18th, 1981`
* `MM/dd/yyyy` — US Format (MM/DD/YYYY), e.g. `11/18/1981`
* `dd/MM/yyyy` — European Format (DD/MM/YYYY), e.g. `18/11/1981`
* `yyyy-MM-dd` — ISO Format (YYYY-MM-DD), e.g. `1981-11-18`

Default value: `MMM d`

### `dateFormatDay`

`Enum`&#x20;

The distinct format of the weekday when displaying an absolute date.

* `long` — e.g. `Sunday`
* `short` — e.g. `Sun`

Default value: `short`&#x20;

### `dateFormatRelativeDayUnitLabel`

[`LocalizedString`](/developers/guides/theming/types.md#localizedstring)&#x20;

The (multi-language) singular form of the day unit label, e.g., "d" in "2d ago."

### `dateFormatRelativeDaysUnitLabel`

[`LocalizedString`](/developers/guides/theming/types.md#localizedstring)&#x20;

The (multi-language) plural form of the day unit label, e.g., "days" in "In 2 days."

### `dateFormatRelativeFutureLabel`

[`LocalizedString`](/developers/guides/theming/types.md#localizedstring)&#x20;

The (multi-language) format in which a relative date should be displayed, if the date is in the future.

Please use placeholders `{unit}` and `{value}` where the respective time value should be displayed. e.g. `In {value}{unit}` could be displayed as `In 4h`.

### `dateFormatRelativeHourUnitLabel`

[`LocalizedString`](/developers/guides/theming/types.md#localizedstring)&#x20;

The (multi-language) singular form of the hour unit label, e.g., "h" in "2h ago."

### `dateFormatRelativeHoursUnitLabel`

[`LocalizedString`](/developers/guides/theming/types.md#localizedstring)&#x20;

The (multi-language) plural form of the hour unit label, e.g., "hrs" in "In 2 hrs."

### `dateFormatRelativeMinuteUnitLabel`

[`LocalizedString`](/developers/guides/theming/types.md#localizedstring)&#x20;

The (multi-language) singular form of the minute unit label, e.g., "min" in "2min ago."

### `dateFormatRelativeMinutesUnitLabel`

[`LocalizedString`](/developers/guides/theming/types.md#localizedstring)&#x20;

The (multi-language) plural form of the minute unit label, e.g., "minutes" in "In 2 minutes."

### `dateFormatRelativeMonthUnitLabel`

[`LocalizedString`](/developers/guides/theming/types.md#localizedstring)&#x20;

The (multi-language) singular form of the month unit label, e.g., "m" in "2m ago."

### `dateFormatRelativeMonthsUnitLabel`

[`LocalizedString`](/developers/guides/theming/types.md#localizedstring)&#x20;

The (multi-language) plural form of the month unit label, e.g., "months" in "In 2 months."

### `dateFormatRelativePastLabel`

[`LocalizedString`](/developers/guides/theming/types.md#localizedstring)&#x20;

The (multi-language) format in which a relative date should be displayed, if the date is in the past.

Please use placeholders `{unit}` and `{value}` where the respective time value should be displayed. e.g. `{value}{unit} ago` could be displayed as `30m ago`.

### `dateFormatRelativeYearUnitLabel`

[`LocalizedString`](/developers/guides/theming/types.md#localizedstring)&#x20;

The (multi-language) singular form of the year unit label, e.g., "y" in "2y ago."

### `dateFormatRelativeYearsUnitLabel`

[`LocalizedString`](/developers/guides/theming/types.md#localizedstring)&#x20;

The (multi-language) plural form of the year unit label, e.g., "years" in "In 2 years."

### `dateFormatTime`

`Enum`

The distinct format of the time.

* `12h` — 12-hour clock, omitting minutes, e.g. `9pm`
* `12hm` — 12-hour clock, including minutes, e.g. `9:00pm`
* `24h` — 24-hour clock, omitting minutes, e.g. `21 Uhr`
* `24hm` — 24-hour clock, including minutes, e.g. `21:00 Uhr`

Default value: `24h`&#x20;

### `dateFormatTodayLabel`

&#x20;[`LocalizedString`](/developers/guides/theming/types.md#localizedstring)&#x20;

The (multi-language) format in which a date should be displayed, if the date is today.

Please use placeholders `{day}`, `{date}` and `{time}`where the respective values should be displayed. e.g. `Today at {time}` could be displayed as `Today at 9pm`.

### `dateFormatTomorrowLabel`

&#x20;[`LocalizedString`](/developers/guides/theming/types.md#localizedstring)&#x20;

The (multi-language) format in which a date should be displayed, if the date is tomorrow.

Please use placeholders `{day}`, `{date}` and `{time}`where the respective values should be displayed. e.g. `Tomorrow at {time}` could be displayed as `Tomorrow at 9pm`.

### `dateFormatYesterdayLabel`

&#x20;[`LocalizedString`](/developers/guides/theming/types.md#localizedstring)&#x20;

The (multi-language) format in which a date should be displayed, if the date was yesterday.

Please use placeholders `{day}`, `{date}` and `{time}`where the respective values should be displayed. e.g. `Yesterday at {time}` could be displayed as `Yesterday at 9pm`.

### `dateFormatWithinWeekLabel`

&#x20;[`LocalizedString`](/developers/guides/theming/types.md#localizedstring)&#x20;

The (multi-language) format in which a date should be displayed, if the date is within the next 7 days.

Please use placeholders `{day}`, `{date}` and `{time}`where the respective values should be displayed. e.g. `This {day} at {time}` could be displayed as `This Saturday at 9pm`.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hello-lisa.com/developers/guides/theming/theme-options/date-and-time.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
